Automations
GET
/automations/{id}

One blueprint with its schedule, destination, health and source video.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created under Settings > API & Webhooks. Keys start with sf_live_.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/automations/string"
{  "data": {    "id": "string",    "title": "string",    "status": "active",    "statusUpdatedAt": "2019-08-24T14:15:22Z",    "schedule": {      "frequency": "daily",      "timezone": "string",      "times": [        {          "time": "string",          "mode": "fixed"        }      ],      "days": [        {          "day": "monday",          "time": "string",          "mode": "fixed"        }      ]    },    "publishing": {      "profileId": "string",      "platforms": [        "string"      ]    },    "autoRefill": true,    "lastRunAt": "2019-08-24T14:15:22Z",    "stopped": {      "reason": "publish_not_configured",      "kind": "config",      "label": "string",      "detail": "string",      "stoppedAt": "2019-08-24T14:15:22Z"    },    "health": {      "ready": true,      "blockers": [        {          "id": "no-schedule",          "label": "string"        }      ],      "nextScheduledAt": "2019-08-24T14:15:22Z"    },    "source": {      "id": "string",      "title": "string",      "type": "faceless",      "subType": "string",      "isAutomation": true,      "parentVideoId": "string",      "isClip": true,      "brief": {        "prompt": "string",        "text": "string",        "scriptPrompt": "string",        "description": "string",        "descriptionPrompt": "string",        "inputMode": "idea",        "videoDuration": "short",        "language": "string",        "aspectRatio": "9:16",        "imageStyle": "stock_footage",        "customStyleText": "string",        "voiceId": "string",        "voiceProvider": "openai",        "showSubtitles": true,        "presentationTone": "string",        "presentationAssets": [          {            "type": "image",            "url": "http://example.com",            "description": "string"          }        ],        "targetDuration": 0,        "characterImageUrl": "http://example.com",        "characterDescription": "string"      },      "mood": "energetic",      "presentationMood": "string",      "durationSeconds": 0,      "media": {        "sourceUrl": "http://example.com",        "audioUrl": "http://example.com",        "captionsUrl": "http://example.com",        "thumbnailUrl": "http://example.com",        "renderUrl": "http://example.com",        "bytes": 0      },      "process": {        "status": "QUEUED",        "progress": 0,        "statusText": "string",        "queuedAt": "2019-08-24T14:15:22Z",        "startedAt": "2019-08-24T14:15:22Z",        "error": {          "code": "string",          "message": "string",          "blocked": true,          "action": "upgrade"        }      },      "render": {        "status": "QUEUED",        "progress": 0,        "queuedAt": "2019-08-24T14:15:22Z",        "startedAt": "2019-08-24T14:15:22Z",        "error": {          "code": "string",          "message": "string",          "blocked": true,          "action": "upgrade"        }      },      "publish": {        "status": "SCHEDULED",        "scheduledAt": "2019-08-24T14:15:22Z",        "startedAt": "2019-08-24T14:15:22Z",        "publishedAt": "2019-08-24T14:15:22Z",        "failedAt": "2019-08-24T14:15:22Z",        "platforms": [          "string"        ],        "missingPlatforms": [          "string"        ],        "caption": "string",        "error": {          "code": "string",          "message": "string",          "blocked": true,          "action": "upgrade"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}